<?php

namespace EventPortal\Domain\Agenda\Actions;

use EventPortal\Domain\Agenda\Models\Agenda;
use EventPortal\Domain\Agenda\Models\Pathway;

class DeleteAgenda
{
    public function execute(Agenda $agenda): void
    {
        $agenda
            ->pathways()
            ->each(function (Pathway $pathway): void {
                $pathway->sessions()->delete();
                $pathway->delete();
            });

        $agenda->delete();
    }
}
