<?php

namespace EventPortal\Domain\Email\Observers;

use EventPortal\Domain\Email\Models\Email;

class EmailObserver
{
    public function creating(Email $email): void
    {
        $type = $email->type->getIndex();

        $email->subject = $email->subject ?? config("emails.templates.{$type}.subject");
        $email->sender_address = $email->sender_address ?? config("emails.sender_address");
        $email->reply_to_address = $email->reply_to_address ?? config("emails.reply_to_address");
    }
}
